Index: trunk/src/series/merge_proj.m
===================================================================
--- trunk/src/series/merge_proj.m	(revision 631)
+++ trunk/src/series/merge_proj.m	(revision 632)
@@ -44,5 +44,5 @@
 if isstruct(Param) && isequal(Param.Action.RUN,0)
     ParamOut.AllowInputSort='off';% allow alphabetic sorting of the list of input file SubDir (options 'off'/'on', 'off' by default)
-    ParamOut.WholeIndexRange='on';% prescribes the file index ranges from min to max (options 'off'/'on', 'off' by default)
+    ParamOut.WholeIndexRange='off';% prescribes the file index ranges from min to max (options 'off'/'on', 'off' by default)
     ParamOut.NbSlice='off'; %nbre of slices ('off' by default)
     ParamOut.VelType='one';% menu for selecting the velocity type (options 'off'/'one'/'two',  'off' by default)
@@ -64,5 +64,5 @@
 
 %%%%%%%%%%%% STANDARD PART (DO NOT EDIT) %%%%%%%%%%%%
-ParamOut=[] %default output
+ParamOut=[]; %default output
 %% read input parameters from an xml file if input is a file name (batch mode)
 checkrun=1;
@@ -134,16 +134,4 @@
 
 %% coordinate transform or other user defined transform
-% transform_fct='';%default fct handle
-% if isfield(Param,'FieldTransform')&&~isempty(Param.FieldTransform.TransformName)
-%     if isdeployed
-%         transform_fct=Param.FieldTransform.TransformName;
-%         dd=phys([]);%activate phys for compilation
-%     else
-%         currentdir=pwd;
-%         cd(Param.FieldTransform.TransformPath)
-%         transform_fct=str2func(Param.FieldTransform.TransformName);
-%         cd (currentdir)
-%     end
-% end
 transform_fct='';%default fct handle
 if isfield(Param,'FieldTransform')&&~isempty(Param.FieldTransform.TransformName)
@@ -166,14 +154,10 @@
 end
 for iview=1:NbView
-	if ~isequal(CheckImage{iview},CheckImage{1})||~isequal(CheckNc{iview},CheckNc{1})
+    if ~isequal(CheckImage{iview},CheckImage{1})||~isequal(CheckNc{iview},CheckNc{1})
         displ_uvmat('ERROR','input set of input series: need  either netcdf either image series',checkrun)
-    return
+        return
     end
 end
 NomTypeOut=NomType;% output file index will indicate the first and last ref index in the series
-% if checkrun==1
-%     ParamOut.Specific=[];%no specific parameter
-%     return %stop here for interactive input (option Param.Specific='?')
-% end
 
 %% Set field names and velocity types
@@ -213,5 +197,5 @@
         end
 
-        %% transform the input field (e.g; phys) if requested
+        %% transform the input field (e.g; phys) if requested (no transform involving two input fields)
         if ~isempty(transform_fct)
             if nargin(transform_fct)>=2
@@ -221,22 +205,23 @@
             end
         end
-%          Data{iview}=phys(Data{iview},XmlData{iview});
+
         %% check whether tps is needed, then calculate tps coefficients if needed
-        check_tps=0;
-        if isfield(Param.InputFields,'FieldName')
-            if ischar(Param.InputFields.FieldName)
-                Param.InputFields.FieldName={Param.InputFields.FieldName};
-            end
-        else
-            Param.InputFields.FieldName={};
-        end
-        for ilist=1:numel(Param.InputFields.FieldName)
-            switch Param.InputFields.FieldName{ilist}
-                case {'vort','div','strain'}
-                    check_tps=1;
-            end
-        end
-
-        %% calculate tps coeff if needed
+%         check_tps=0;
+%         if isfield(Param.InputFields,'FieldName')
+%             if ischar(Param.InputFields.FieldName)
+%                 Param.InputFields.FieldName={Param.InputFields.FieldName};
+%             end
+%         else
+%             Param.InputFields.FieldName={};
+%         end
+%         for ilist=1:numel(Param.InputFields.FieldName)
+%             switch Param.InputFields.FieldName{ilist}
+%                 case {'vort','div','strain'}
+%                     check_tps=1;
+%             end
+%         end
+
+        
+         %% calculate tps coefficients if needed
         check_proj_tps= isfield(Param,'ProjObject')&&~isempty(Param.ProjObject)&& strcmp(Param.ProjObject.ProjMode,'interp_tps')&&~isfield(Data{iview},'Coord_tps');
         Data{iview}=tps_coeff_field(Data{iview},check_proj_tps);